%define module	Carp-Assert-More
%define name	perl-%{module}
%define version	1.12
%define release	%mkrel 5

Name:		%{name}
Version: 	%{version}
Release:	%{release}
Summary:	Convenience wrappers around Carp::Assert module
License: 	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:  perl-Carp-Assert
BuildRequires:  perl-Test-Exception
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Carp::Assert::More is a set of wrappers around the Carp::Assert functions 
to make the habit of writing assertions even easier.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Carp
%{_mandir}/man3/*




%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.12-5mdv2009.0
+ Revision: 255478
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-3mdv2008.1
+ Revision: 136890
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Nov 01 2006 Michael Scherer <misc@mandriva.org> 1.12-2mdv2007.0
+ Revision: 74870
- Rebuild for new extension
- Import perl-Carp-Assert-More

